> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Status

> Get the current status of an employee's snapshots



## OpenAPI

````yaml GET /api/v1/employees/{employee_id}/status
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/status:
    get:
      tags:
        - Member Snapshot
      summary: Get Employee Status
      description: >-
        Returns the status of the employee and family, summarized by carrier and
        including any pending or completed enrollment changes requested by the
        platform.
      operationId: getEmployeeStatus
      parameters:
        - description: The unique identifier of the employee
          in: path
          name: employee_id
          required: true
          schema:
            example: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                pending_changes:
                  value:
                    carrier_statuses:
                      - carrier_id: 1012fbfe-3fbf-422b-807c-b449a3119a61
                        pending_changes:
                          - id: 6e0d7cf3-e8a8-42a1-b2dc-269fa988b99e
                            status: processing
                            type: member_snapshot
                        status: pending_changes
                stable:
                  value:
                    carrier_statuses:
                      - carrier_id: 1012fbfe-3fbf-422b-807c-b449a3119a61
                        latest_platform_change:
                          id: 6e0d7cf3-e8a8-42a1-b2dc-269fa988b99e
                          status: completed
                          type: member_snapshot
                        pending_changes: []
                        status: stable
                unable_to_fulfill:
                  value:
                    carrier_statuses:
                      - carrier_id: 1012fbfe-3fbf-422b-807c-b449a3119a61
                        latest_platform_change:
                          error:
                            message: Salary effective date needed for volume change
                          id: c39ccd04-b4ef-4a5f-b267-c32c83fa50fa
                          status: failed
                          type: member_snapshot
                        pending_changes: []
                        status: unable_to_fulfill
              schema:
                $ref: '#/components/schemas/EmployeeStatusResult'
          description: Returns details about the current status of the Employee
        '404':
          content:
            application/json:
              example:
                message: >-
                  Employee not found with UUID
                  30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                status: 404
          description: Failure Response - Not found error
components:
  schemas:
    EmployeeStatusResult:
      properties:
        carrier_statuses:
          description: List of employee statuses with any relevant carriers
          items:
            $ref: '#/components/schemas/EmployeeCarrierStatus'
          type: array
      required:
        - carrier_statuses
      type: object
      x-field_order: []
    EmployeeCarrierStatus:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          type: string
        latest_platform_change:
          allOf:
            - $ref: '#/components/schemas/LatestPlatformChange'
          description: >-
            Details on the latest change sent to Noyo to be applied at the
            carrier
        pending_changes:
          description: A list of any open changes being processed with the carrier
          items:
            $ref: '#/components/schemas/PlatformChange'
          type: array
        status:
          description: The member status related to the latest requested platform changes
          enum:
            - pending_changes
            - stable
            - unable_to_fulfill
          type: string
      required:
        - pending_changes
        - status
      type: object
    LatestPlatformChange:
      properties:
        error:
          allOf:
            - $ref: '#/components/schemas/LatestChangeError'
          description: The error message explaining any issues from the platform change
        id:
          description: Unique identifier of the platform change record
          format: uuid
          type: string
        status:
          description: The status of the platform change
          type: string
        type:
          description: The type of the platform change record
          enum:
            - member_request
            - member_snapshot
          type: string
      required:
        - id
        - status
        - type
      type: object
    PlatformChange:
      properties:
        id:
          description: Unique identifier of the platform change record
          format: uuid
          type: string
        status:
          description: The status of the platform change
          type: string
        type:
          description: The type of the platform change record
          enum:
            - member_request
            - member_snapshot
          type: string
      required:
        - id
        - status
        - type
      type: object
    LatestChangeError:
      properties:
        message:
          description: The error message for the latest change
          type: string
      required:
        - message
      type: object

````